package com.starbuds.server.service.statistics.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author lujiao
 * @DateTime 2021/7/6 19:03
 * @Description
 */
@Mapper
@Repository
public interface PayOrderDAO {

    /**
     * 获取用户支付人数
     *
     * @param startDate
     * @param endDate
     * @param payStatus
     * @return
     */
    Integer getPayUserCount(@Param("startDate") Long startDate,
                            @Param("endDate") Long endDate,
                            @Param("payStatus") Integer payStatus);


    /**
     * 获取支付成功订单数
     *
     * @param startDate
     * @param endDate
     * @param payStatus
     * @return
     */
    Integer getPayCount(@Param("startDate") Long startDate,
                        @Param("endDate") Long endDate,
                        @Param("payStatus") Integer payStatus);
}
