package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatInviteDO;
import com.starbuds.server.common.pojo.user.InviteDetailVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Mapper
@Repository
public interface StatInviteDAO {
    /**
     * 插入或更新
     *
     * @param inviteDO
     * @return
     */
    int insertOrUpdate(StatInviteDO inviteDO);

    /**
     * 获取打赏星钻数
     *
     * @param agentId
     * @param inviterUserId
     * @return
     */
    Long selectTotalReward(@Param("agentId") Long agentId, @Param("inviterUserId") Long inviterUserId);

    /**
     * 获取邀请明细
     *
     * @param pageCursor
     * @param pageSize
     * @param inviterUserId
     * @return
     */
    List<InviteDetailVO> selectInvitePageList(@Param("pageCursor") int pageCursor,
                                              @Param("pageSize") int pageSize,
                                              @Param("inviterUserId") Long inviterUserId,
                                              @Param("agentId") Long agentId);

    /**
     * 获取邀请明细大小
     *
     * @param inviterUserId
     * @return
     */
    int countInvitePageList(@Param("inviterUserId") Long inviterUserId,
                            @Param("agentId") Long agentId);
}
