package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatPlatformDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Mapper
@Repository
public interface StatPlatformDAO {
    /**
     * 插入或更新
     *
     * @param statPlatformDO
     * @return
     */
    int insertOrUpdate(StatPlatformDO statPlatformDO);

    /**
     * 批量插入或更新
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(List<StatPlatformDO> list);

    /**
     * 根据时间查询
     *
     * @param statTypes
     * @param startTime
     * @param endTime
     * @return
     */
    List<StatPlatformDO> selectByTypeAndTime(@Param("statTypes") List<Integer> statTypes,
                                             @Param("startTime") Long startTime,
                                             @Param("endTime") Long endTime,
                                             @Param("statTimeType") Integer statTimeType);

    /**
     * 查询某天的统计数据
     *
     * @param statTypes
     * @param statTime
     * @param statTimeType
     * @return
     */
    List<StatPlatformDO> selectSumByTypeAndTime(@Param("statTypes") List<Integer> statTypes,
                                                @Param("statTime") Long statTime,
                                                @Param("statTimeType") Integer statTimeType);
}
