package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.constant.statistics.StatRtcRoomTypeEnum;
import com.starbuds.server.common.constant.statistics.StatTimeType;
import com.starbuds.server.common.pojo.db.StatRtcRoomDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Mapper
@Repository
public interface StatRtcRoomDAO {
    /**
     * 插入或更新
     *
     * @param statChannelDO
     * @return
     */
    int insertOrUpdate(StatRtcRoomDO statChannelDO);

    /**
     * 批量插入或更新
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(List<StatRtcRoomDO> list);


    /**
     * 获取房间统计数量
     *
     * @return
     */
    Integer selectRtcRoomStatCount(@Param("roomId") Long roomId, @Param("statRtcRoomType") Integer statRtcRoomType, @Param("timeType") Integer timeType, @Param("time") Long time);

    /**
     * 更新房间统计数量
     *
     * @return
     */
    void increaseRtcRoomStatCount(@Param("roomId") Long roomId, @Param("statRtcRoomType") Integer statRtcRoomType, @Param("timeType") Integer timeType, @Param("time") Long time);

}
