package com.starbuds.server.service.statistics.dao;

import com.starbuds.server.common.pojo.db.StatUserDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Mapper
@Repository
public interface StatUserDAO {
    /**
     * 插入或更新
     *
     * @param statUserDO
     * @return
     */
    int insertOrUpdate(StatUserDO statUserDO);

    /**
     * 批量插入或更新
     *
     * @param list
     * @return
     */
    int batchInsertOrUpdate(List<StatUserDO> list);

    /**
     * 根据时间查询
     *
     * @param statTypes
     * @param startTime
     * @param endTime
     * @param statTimeType
     * @return
     */
    List<StatUserDO> selectByTypeAndTime(@Param("statTypes") List<Integer> statTypes,
                                         @Param("startTime") Long startTime,
                                         @Param("endTime") Long endTime,
                                         @Param("statTimeType") Integer statTimeType);
}
