package com.starbuds.server.service.statistics.impl;

import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.user.InviteDetailVO;
import com.starbuds.server.common.service.feed.FeedService;
import com.starbuds.server.common.service.statistics.StatInviteService;
import com.starbuds.server.service.statistics.dao.StatInviteDAO;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/5/28 18:23
 * @Description 邀请统计
 */
@Service(version = "1.0.0")
public class StatInviteServiceImpl implements StatInviteService {

    @Resource
    StatInviteDAO statInviteDAO;

    @Reference(version = "1.0.0")
    FeedService feedService;

    @Override
    public Long getTotalReward(Long agentId, Long inviterUserId) {
        return statInviteDAO.selectTotalReward(agentId, inviterUserId);
    }

    @Override
    public PageList<InviteDetailVO> getInvitePageList(int pageIndex, int pageSize, Long userId, Long agentId) {
        PageList<InviteDetailVO> page = new PageList<>(pageIndex, pageSize);
        List<InviteDetailVO> list = statInviteDAO.selectInvitePageList(page.getPageCursor(), pageSize, userId, agentId);
        page.setList(feedService.setUserInfo(list));
        page.setTotal(statInviteDAO.countInvitePageList(userId, agentId));
        return page;
    }
}
