package com.starbuds.server.service.statistics.provider;

import com.starbuds.server.common.constant.finance.PayStatusEnum;
import com.starbuds.server.service.statistics.dao.PayOrderDAO;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 支付订单查询
 *
 * @Author lujiao
 * @DateTime 2021/7/6 18:14
 * @Description
 */
@Component
public class PayOrderProvider {

    @Resource
    PayOrderDAO payOrderDAO;

    /**
     * 获取支付成功人数
     *
     * @param startDate
     * @param endDate
     * @param payStatusEnum
     * @return
     */
    public Integer getUserPayCount(Long startDate, Long endDate, PayStatusEnum payStatusEnum) {
        return payOrderDAO.getPayUserCount(startDate, endDate, payStatusEnum.getValue());
    }

    /**
     * 获取支付成功订单数
     *
     * @param startDate
     * @param endDate
     * @param payStatusEnum
     * @return
     */
    public Integer getPayCount(Long startDate, Long endDate, PayStatusEnum payStatusEnum) {
        return payOrderDAO.getPayCount(startDate, endDate, payStatusEnum.getValue());
    }
}
