package com.starbuds.server.service.statistics.provider;

import com.starbuds.server.common.pojo.db.StatActiveUserDO;
import com.starbuds.server.service.statistics.dao.StatActiveUserDAO;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/8/25 15:52
 * @Description 活跃用户
 */
@Component
public class StatActiveUserProvider {

    @Resource
    StatActiveUserDAO statActiveUserDAO;

    /**
     * 新增活跃用户统计
     *
     * @param channelId
     * @param regDate
     * @param dateNum
     * @param activeCount
     * @return
     */
    public boolean addStatActiveUser(Long channelId, Long regDate, Long dateNum, Integer activeCount) {

        List<StatActiveUserDO> list = new ArrayList<>();

        StatActiveUserDO userDO = new StatActiveUserDO();
        userDO.setChannelId(channelId);
        userDO.setRegDate(regDate);
        userDO.setDateNum(dateNum);
        userDO.setActiveCount(activeCount);
        list.add(userDO);

        StatActiveUserDO defaultChannel = new StatActiveUserDO();
        BeanUtils.copyProperties(userDO, defaultChannel);
        defaultChannel.setChannelId(0L);
        list.add(defaultChannel);
        if (statActiveUserDAO.batchInsertOrUpdate(list) > 0) {
            return true;
        }
        return false;
    }
}
