package com.starbuds.server.service.statistics.provider;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.pojo.db.StatCommonBizHisDO;
import com.starbuds.server.service.statistics.dao.StatCommonBizHisDAO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * 通用业务数据统计记录
 */
@Component
@Slf4j
public class StatCommonBizHisProvider {

    @Resource
    private StatCommonBizHisDAO statCommonBizHisDAO;

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    @Transactional(rollbackFor = Exception.class)
    public StatCommonBizHisDO create(StatCommonBizHisDO po) {
        po.setCreateTime(System.currentTimeMillis());
        boolean flag = statCommonBizHisDAO.insert(po) == 1;

        String json = JSON.toJSONString(po);
        if (flag) {
            log.info("通用业务数据统计记录创建成功 {}", json);
            return po;
        }
        log.warn("通用业务数据统计记录创建失败 {}", json);
        return null;
    }

}
