package com.starbuds.server.service.statistics.provider;

import com.starbuds.server.common.pojo.db.StatUserKeepDO;
import com.starbuds.server.service.statistics.dao.StatUserKeepDAO;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/8/25 15:52
 * @Description 用户留存
 */
@Component
public class StatUserKeepProvider {

    @Resource
    StatUserKeepDAO statUserKeepDAO;

    /**
     * 新增统计
     *
     * @param channelId
     * @param triggerDate
     * @param dateNum
     * @param dataType
     * @param dataValue
     * @return
     */
    public boolean addStat(Long channelId, Long triggerDate, Long dateNum, Integer dataType, BigDecimal dataValue) {

        List<StatUserKeepDO> list = new ArrayList<>();

        StatUserKeepDO userDO = new StatUserKeepDO();
        userDO.setChannelId(channelId);
        userDO.setTriggerDate(triggerDate);
        userDO.setDateNum(dateNum);
        userDO.setDataType(dataType);
        userDO.setDataValue(dataValue);
        list.add(userDO);

        StatUserKeepDO defaultChannel = new StatUserKeepDO();
        BeanUtils.copyProperties(userDO, defaultChannel);
        defaultChannel.setChannelId(0L);
        list.add(defaultChannel);
        if (statUserKeepDAO.batchInsertOrUpdate(list) > 0) {
            return true;
        }
        return false;
    }
}
