package com.starbuds.server.service.statistics.rocket;

import com.aliyun.openservices.ons.api.PropertyKeyConst;
import com.starbuds.server.common.pojo.message.AliyunConfig;
import com.starbuds.server.common.service.core.ConfigService;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.util.Properties;

/**
 * Class
 *
 * @author Lay
 * @date 2019/05/30
 */
@Configuration
public class RocketConfig {
    @Reference(version = "1.0.0")
    ConfigService configService;

    @Value("${aliyun.rocket.namesrv}")
    String rocketNamesrv;

    @Value("${aliyun.rocket.groupId}")
    String rocketGroupId;

    public Properties getProps() {
        AliyunConfig aliyunAccessConfig = configService.getAliyunConfig();

        Properties properties = new Properties();
        properties.put(PropertyKeyConst.AccessKey, aliyunAccessConfig.getAccessKey());
        properties.put(PropertyKeyConst.SecretKey, aliyunAccessConfig.getAccessSecret());
        properties.put(PropertyKeyConst.NAMESRV_ADDR, rocketNamesrv);
        properties.put(PropertyKeyConst.GROUP_ID, rocketGroupId);

        return properties;
    }
}
