package com.starbuds.server.service.statistics.rocket.listener;

import com.alibaba.fastjson.JSON;
import com.aliyun.openservices.ons.api.Action;
import com.aliyun.openservices.ons.api.ConsumeContext;
import com.aliyun.openservices.ons.api.Message;
import com.aliyun.openservices.ons.api.MessageListener;
import com.starbuds.server.common.constant.rocketmq.RocketTag;
import com.starbuds.server.common.pojo.mq.QueueStatPlatformMsg;
import com.starbuds.server.service.statistics.rocket.handler.StatisticsMsgHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/5
 */
@Component
@Slf4j
public class StatisticsMsgListener implements MessageListener {

    @Autowired
    StatisticsMsgHandler statisticsMsgHandler;

    @Override
    public Action consume(Message message, ConsumeContext consumeContext) {
        try {
            log.info("收到统计队列消息 {} {}", message.getTopic(), message.getTag());
            switch (message.getTag()) {
                case RocketTag.STAT_PLATFORM:
                    statisticsMsgHandler.handleStatPlatform(JSON.parseObject(message.getBody(), QueueStatPlatformMsg.class));
                    break;
                default:
                    break;
            }
        } catch (Exception e) {
            log.error("消息处理失败", e);
        }
        return Action.CommitMessage;
    }
}
