package com.starbuds.service;

import cn.hutool.core.convert.Convert;
import com.starbuds.server.common.constant.cache.RedisUserKeys;
import com.starbuds.server.common.service.data.RedisService;
import com.starbuds.server.common.service.statistics.StatRiskService;
import com.starbuds.server.common.service.user.UserService;
import com.starbuds.test.BaseTest;
import org.apache.dubbo.config.annotation.Reference;
import org.junit.Test;

import javax.annotation.Resource;
import java.util.Date;
import java.util.Optional;

/**
 * @Author lujiao
 * @DateTime 2021/7/7 11:21
 * @Description
 */
public class StatRiskServiceTest extends BaseTest {
    @Resource
    StatRiskService statRiskService;

    @Reference(version = "1.0.0")
    RedisService redisService;

    @Reference(version = "1.0.0")
    UserService userService;

    @Test
    public void testGenerateData() {
        Integer dateInt = com.starbuds.server.common.utils.DateUtil.getIntDate();

        Long onlineCount = userService.selectOnlineCount();
        if (onlineCount > Optional.ofNullable(redisService.get(RedisUserKeys.getPlatformOnlineUserMax(dateInt))).map(Convert::toLong).orElse(0L)) {
            redisService.set(RedisUserKeys.getPlatformOnlineUserMax(dateInt), String.valueOf(onlineCount));
        }
    }

}
